# Generated by Django 3.1.13 on 2021-10-29 15:32

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('core', '0005_auto_20211028_1411'),
    ]

    operations = [
        migrations.CreateModel(
            name='IndicatorValues',
            fields=[
                ('taxon', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, primary_key=True, serialize=False, to='core.taxon')),
                ('light', models.DecimalField(blank=True, decimal_places=1, max_digits=2, null=True)),
                ('temperature', models.DecimalField(blank=True, decimal_places=1, max_digits=2, null=True)),
                ('continentality', models.DecimalField(blank=True, decimal_places=1, max_digits=2, null=True)),
                ('edaphic_moisture', models.DecimalField(blank=True, decimal_places=1, max_digits=3, null=True)),
                ('atmospheric_moisture', models.DecimalField(blank=True, decimal_places=1, max_digits=2, null=True)),
                ('soil_reaction', models.DecimalField(blank=True, decimal_places=1, max_digits=2, null=True)),
                ('nutrient', models.DecimalField(blank=True, decimal_places=1, max_digits=2, null=True)),
                ('salinity', models.DecimalField(blank=True, decimal_places=1, max_digits=2, null=True)),
                ('soil_texture', models.DecimalField(blank=True, decimal_places=1, max_digits=2, null=True)),
                ('organic_matter', models.DecimalField(blank=True, decimal_places=1, max_digits=2, null=True)),
            ],
        ),
    ]
